/* RomController */

#import <Cocoa/Cocoa.h>

@interface RomController : NSObject
{
    IBOutlet NSTableView *theTable;
	IBOutlet id infoString;
	NSString *fileString;
	NSString *pathToConfigFile;
	NSMutableArray *ROMarray;
	NSMutableArray *records;
	int start;
	NSString *recordsFile;
}
- (IBAction)changeSelectedModel:(id)sender;
- (IBAction)makeEmpty:(id)sender;
- (IBAction)makeRAM:(id)sender;
- (void)makeROM: (int)row;
- (IBAction)loadConfigFile:(id)sender;
- (IBAction)saveConfigFile:(id)sender;
- (void)loadPrefs;
- (void)savePrefs;
-(IBAction)ROMclick:(id)sender;
-(IBAction)doubleClick:(id)sender;
-(NSString *)changePath:(NSString *)aString;

// tableView delegates
-(int)numberOfRowsInTableView:(NSTableView *)tableView;
-(id)tableView:(NSTableView *)tableView objectValueForTableColumn:(NSTableColumn *)tableColumn row:(int)row;

// Window delegates
-(BOOL)applicationShouldTerminateAfterLastWindowClosed:(NSApplication *)theApplication;

// Accessor methods
-(NSString *)fileString;
-(void)setFileString:(NSString *)aString;
-(NSString *)pathToConfigFile;
-(void)setPathToConfigFile:(NSString *)aString;
-(NSString *)recordsFile;
-(void)setRecordsFile:(NSString *)aString;
@end
